> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invites

> List all pending invites for a company or team. User must be team_admin for teams or org_admin for companies.



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/invites
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/invites:
    get:
      tags:
        - B2B Invites
      summary: Get Invites
      description: >-
        List all pending invites for a company or team. User must be team_admin
        for teams or org_admin for companies.
      parameters:
        - schema:
            anyOf:
              - type: string
                minLength: 15
                maxLength: 15
                pattern: ^te-.*
                description: >-
                  Identifier of a Rise team (a workspace below a company).
                  15-character nanoid prefixed with `te-`.
              - type: string
                minLength: 15
                maxLength: 15
                pattern: ^co-.*
                description: >-
                  Identifier of a Rise company. 15-character nanoid prefixed
                  with `co-` (e.g. `co-aBcD1234EfGh`).
          in: query
          name: nanoid
          required: true
          description: The nanoid of the company or team to get invites for
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        nanoid:
                          type: string
                        role:
                          type: string
                          enum:
                            - org_admin
                            - org_finance_admin
                            - org_viewer
                            - org_hr_admin
                            - org_delegate_admin
                            - org_non_delegate_admin
                            - team_admin
                            - team_viewer
                            - team_finance_admin
                            - team_delegate_admin
                            - team_non_delegate_admin
                            - team_payment_initiator
                            - contractor
                            - team_employee
                            - aor_contractor
                            - team_hr_admin
                          nullable: true
                        invitee_name:
                          type: string
                          minLength: 1
                        email:
                          type: string
                          format: email
                          pattern: >-
                            ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                        inviter_name:
                          type: string
                          minLength: 1
                        inviter_email:
                          type: string
                          format: email
                          pattern: >-
                            ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                        company:
                          type: object
                          properties:
                            name:
                              type: string
                              minLength: 1
                            avatar:
                              type: string
                          required:
                            - name
                            - avatar
                          additionalProperties: false
                        team:
                          type: object
                          properties:
                            name:
                              type: string
                              minLength: 1
                            avatar:
                              type: string
                          required:
                            - name
                            - avatar
                          additionalProperties: false
                      required:
                        - nanoid
                        - role
                        - invitee_name
                        - email
                        - inviter_name
                        - inviter_email
                      additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````